commit:     0b94bf7676964f887842ca524d90821ad64dca9e
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 14 23:58:55 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Feb 22 19:15:45 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b94bf76

dev-qt/qtcore: Revbumps to enforce qtchooser qt5-default

Follow-up to a888955 and 5d7ff88

Bug: https://bugs.gentoo.org/564622
Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-qt/qtcore/{qtcore-4.8.7-r3.ebuild => qtcore-4.8.7-r4.ebuild} | 0
 dev-qt/qtcore/{qtcore-5.7.1-r3.ebuild => qtcore-5.7.1-r4.ebuild} | 6 ++++--
 dev-qt/qtcore/{qtcore-5.9.4-r1.ebuild => qtcore-5.9.4-r2.ebuild} | 4 +++-
 3 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/dev-qt/qtcore/qtcore-4.8.7-r3.ebuild 
b/dev-qt/qtcore/qtcore-4.8.7-r4.ebuild
similarity index 100%
rename from dev-qt/qtcore/qtcore-4.8.7-r3.ebuild
rename to dev-qt/qtcore/qtcore-4.8.7-r4.ebuild

diff --git a/dev-qt/qtcore/qtcore-5.7.1-r3.ebuild 
b/dev-qt/qtcore/qtcore-5.7.1-r4.ebuild
similarity index 90%
rename from dev-qt/qtcore/qtcore-5.7.1-r3.ebuild
rename to dev-qt/qtcore/qtcore-5.7.1-r4.ebuild
index f68f4635ff7..cbc2d6de22e 100644
--- a/dev-qt/qtcore/qtcore-5.7.1-r3.ebuild
+++ b/dev-qt/qtcore/qtcore-5.7.1-r4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -22,7 +22,9 @@ DEPEND="
        icu? ( dev-libs/icu:= )
        systemd? ( sys-apps/systemd:= )
 "
-RDEPEND="${DEPEND}"
+RDEPEND="${DEPEND}
+       !<dev-qt/qtcore-4.8.7-r4:4
+"
 
 PATCHES=(
        "${FILESDIR}"/${PN}-5.6.2-plugins.patch

diff --git a/dev-qt/qtcore/qtcore-5.9.4-r1.ebuild 
b/dev-qt/qtcore/qtcore-5.9.4-r2.ebuild
similarity index 96%
rename from dev-qt/qtcore/qtcore-5.9.4-r1.ebuild
rename to dev-qt/qtcore/qtcore-5.9.4-r2.ebuild
index 368fe44dbac..9e4d7aab4e2 100644
--- a/dev-qt/qtcore/qtcore-5.9.4-r1.ebuild
+++ b/dev-qt/qtcore/qtcore-5.9.4-r2.ebuild
@@ -22,7 +22,9 @@ DEPEND="
        !icu? ( virtual/libiconv )
        systemd? ( sys-apps/systemd:= )
 "
-RDEPEND="${DEPEND}"
+RDEPEND="${DEPEND}
+       !<dev-qt/qtcore-4.8.7-r4:4
+"
 
 QT5_TARGET_SUBDIRS=(
        src/tools/bootstrap

Reply via email to